FS_SETQUOTA(1)

NAME
fs_setquota - Sets the quota for the volume containing a file or directory

SYNOPSIS
fs setquota << [-path <dir/file path] >>>
    << -max <max quota in kbytes >>> [-help]

fs setq << [-p <dir/file path] >>> << -m <max quota in kbytes >>> [-h]

fs sq << [-p <dir/file path] >>> << -m <max quota in kbytes >>> [-h]

DESCRIPTION
The fs setquota command sets the quota (maximum possible size) of the read/write volume that contains the directory or file named by the -path argument.

To set the quota on multiple volumes at the same time, use the fs setvol command.

To display a volume's quota, use the fs examine, fs listquota, or fs quota command.

CAUTIONS
Currently, the maximum size of a volume is 2 terabytes (2^31 bytes) and the maximum size of a /vicepX partition on a fileserver is also 2 terabytes. The fileserver will not report an error when it has access to a partition larger than 2 terabytes, but it will probably fail if the administrator attempts to use more than 2 terabytes of space. In addition, there are reports of erroneous disk usage numbers when vos partinfo or other OpenAFS disk reporting tools are used with partitions larger than 2 terabytes.

OPTIONS

-path <dir/file path>
    Names the directory or file for which to set the host volume's quota. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

    Specify the read/write path to the file or directory, to avoid the failure that results from attempting to change a read-only volume. By convention, the read/write path is indicated by placing a period before the cell name at the pathname's second level (for example, /afs/.abc.com). For further discussion of the concept of read/write and read-only paths through the filespace, see the fs mkmount reference page.

-max <max quota in kbytes>
    Sets the maximum amount of file server disk space the volume can occupy. Specify the number of one-kilobyte blocks as a positive integer (1024 is one megabyte). A value of 0 sets an unlimited quota, but the size of the disk partition that houses the volume places an absolute limit on the volume's size.

    If the -path argument is omitted (to set the quota of the volume housing the current working directory), the -max switch must be included with this argument.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command imposes a maximum quota of 3000 kilobytes on the volume that houses the /afs/abc.com/usr/smith directory:

   % fs setquota -path /afs/abc.com/usr/smith -max 3000

PRIVILEGE REQUIRED
The issuer must belong to the system:administrators group.

SEE ALSO
the fs_examine(1) manpage, the fs_listquota(1) manpage, the fs_quota(1) manpage, the fs_mkmount(1) manpage, the fs_setvol(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.